osl::book::OMove Class Reference

`#include <openingBook.h>`

## Public Member Functions

| OMove (int i)
| OMove (Move m)
Square | from ()
Square | to ()
bool | isPromotion ()
Ptype | capturePtype ()
Ptype | ptype ()
Player | player ()
| operator Move ()
| operator int ()

## Private Attributes

int | value

## Detailed Description

Definition at line 13 of file openingBook.h.

## Constructor & Destructor Documentation

## OMove() [1/2]

osl::book::OMove::OMove | ( | int | i | ) |

inline

Definition at line 16 of file openingBook.h.

References value.

## OMove() [2/2]

osl::book::OMove::OMove | ( | Move | m | ) |

inline

Definition at line 17 of file openingBook.h.

References osl::Move::capturePtype(), from(), osl::Move::from(), osl::Move::isPromotion(), osl::Move::player(), osl::Move::ptype(), to(), osl::Move::to(), and value.

## Member Function Documentation

## capturePtype()

Ptype osl::book::OMove::capturePtype | ( |  | ) |

inline

Definition at line 43 of file openingBook.h.

References value.

Referenced by operator Move().

## from()

Square osl::book::OMove::from | ( |  | ) |

inline

Definition at line 30 of file openingBook.h.

References osl::Square::STAND(), and value.

Referenced by OMove(), and operator Move().

## isPromotion()

bool osl::book::OMove::isPromotion | ( |  | ) |

inline

Definition at line 42 of file openingBook.h.

References value.

Referenced by operator Move().

## operator int()

osl::book::OMove::operator int | ( |  | ) |

inline

Definition at line 55 of file openingBook.h.

References value.

## operator Move()

osl::book::OMove::operator Move | ( |  | ) |

inline

Definition at line 52 of file openingBook.h.

References capturePtype(), from(), isPromotion(), player(), ptype(), and to().

## player()

Player osl::book::OMove::player | ( |  | ) |

inline

Definition at line 49 of file openingBook.h.

References value.

Referenced by operator Move().

## ptype()

Ptype osl::book::OMove::ptype | ( |  | ) |

inline

Definition at line 46 of file openingBook.h.

References value.

Referenced by operator Move().

## to()

Square osl::book::OMove::to | ( |  | ) |

inline

Definition at line 36 of file openingBook.h.

References osl::Square::STAND(), and value.

Referenced by OMove(), and operator Move().

## Member Data Documentation

## value

int osl::book::OMove::value

private

Definition at line 57 of file openingBook.h.

Referenced by capturePtype(), from(), isPromotion(), OMove(), OMove(), operator int(), player(), ptype(), and to().

The documentation for this class was generated from the following file:

- openingBook.h